
QGIS Application - Bug report #14810

Uncheck 'include Z dimension' in 'save vector layer as' doesn't work

2016-05-13 02:51 AM - Nicolas Boisteault

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.14.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 22766

Description

    -  load a 2.5D vector layer

    -  right click on it -> Save as

    -  select geometry type

    -  uncheck 'include z dimension'

    -  Click OK

The resulting layer still has z dimension.

You can test with attached file.

History

#1 - 2016-06-24 02:30 AM - Alexander Bruy

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Fixed in master and 2.14.3. Please reopen if necessary

#2 - 2016-06-24 02:46 AM - Nicolas Boisteault

This issue still occurs in 2.14.3 64 bits on windows 7 64 bits.

Did you mean it is fixed in master and so it will fixed in 2.14.4?

#3 - 2016-06-24 02:52 AM - Alexander Bruy

I think yes. I can't reproduce it with lastest master and 2.14.3 (89a1f5b).

If possible, please test with nightly builds.

#4 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown

Files

carre2154.geojson 811 Bytes 2016-05-13 Nicolas Boisteault
